Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.flow
Class Marker.MarkerAttribute

    java.lang.Object
      org.apache.fop.fo.flow.Marker.MarkerAttribute

Enclosing class:
  Marker

    public static final class Marker.MarkerAttribute

extends java.lang.Object

Convenience inner class

Field Summary
`protected java.lang.String` | `name` local name
`protected java.lang.String` | `namespace` namespace
`protected java.lang.String` | `qname` qualfied name
`protected java.lang.String` | `value` value

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### namespace

    protected java.lang.String namespace

  namespace

### qname

    protected java.lang.String qname

  qualfied name

### name

    protected java.lang.String name

  local name

### value

    protected java.lang.String value

  value

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.